optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoKummenberg.registers.MiscSystems.Status Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.Status:

## Public Member Functions
def | __init__ (self, board=None)
def | GetFirmwareID (self)
def | GetFirmwareBranch (self)
def | GetFirmwareType (self)
def | GetFirmwareVersionMajor (self)
def | GetFirmwareVersionMinor (self)
def | GetFirmwareBuild (self)
def | GetFirmwareVersionRevision (self)
def | GetErrorFlagRegister (self)
def | GetErrorFlagRegisterString (self)
def | parse_error_flags (self, int error_flag_data)
def | ResetErrorFlagRegister (self)
def | GetFirmwareSN (self, index, count)
def | SetFirmwareSN (self, index, vector)
def | GetGitHEADSHA1Vector (self, index, count)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| firmware_id
| fw_branch
| fw_type
| fw_version_major
| fw_version_minor
| fw_version_build
| fw_version_revision
| error_flag_register
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Static Protected Attributes
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Detailed Description

    Device Functionality - Firmware Status
    System ID: 0x10

    +---------------------+------+-------------+---------+---------------------------------------+
    | Register Name       | Id   | Type        | Default | Comment                               |
    +=====================+======+=============+=========+=======================================+
    | firmware_id         | 0x00 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | firmware_branch     | 0x01 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_type             | 0x02 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_major    | 0x03 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_minor    | 0x04 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_build    | 0x05 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_revision | 0x06 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | error_flag_register | 0x07 | float 32-bit| 0       | See: Status Register Values Below     |
    +---------------------+------+-------------+---------+---------------------------------------+
    | proxy_fpga_version  | 0x08 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | cpu_fpga_version    | 0x09 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+

    Status Register Values:

    ====== =================================================================
    Bit#   Message
    ====== =================================================================
    0      Proxy not connected
    1      Proxy temperature threshold is reached. See TemperatureManager
    2      Mirror temperature threshold is reached See TemperatureManager
    3      Mirror EEPROM not valid
    4      Mirror not stable. See stability criterion in OpticalFeedback
    5      Linear output limit is reached. See LinearOutput
    6      Linear output average limit is reached. See LinearOutput
    7      XY input is trimmed. See InputConditioning
    8      Proxy was disconnected
    9      Proxy temperature threshold was reached
    10     Mirror temperature threshold was reached
    11     Linear output limit was reached
    12     Linear output average limit was reached
    13     XY input was trimmed
    14..31 Reserved
    ====== =================================================================
    Write:
    Writing to this register resets all history error flags 8, 9, 10, 11, 12, 13

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.MiscSystems.Status.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetErrorFlagRegister()

def optoKummenberg.registers.MiscSystems.Status.GetErrorFlagRegister | ( |  | self | ) |

## ◆ GetErrorFlagRegisterString()

def optoKummenberg.registers.MiscSystems.Status.GetErrorFlagRegisterString | ( |  | self | ) |

## ◆ GetFirmwareBranch()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareBranch | ( |  | self | ) |

## ◆ GetFirmwareBuild()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareBuild | ( |  | self | ) |

## ◆ GetFirmwareID()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareID | ( |  | self | ) |

## ◆ GetFirmwareSN()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareSN | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetFirmwareType()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareType | ( |  | self | ) |

## ◆ GetFirmwareVersionMajor()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareVersionMajor | ( |  | self | ) |

## ◆ GetFirmwareVersionMinor()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareVersionMinor | ( |  | self | ) |

## ◆ GetFirmwareVersionRevision()

def optoKummenberg.registers.MiscSystems.Status.GetFirmwareVersionRevision | ( |  | self | ) |

## ◆ GetGitHEADSHA1Vector()

def optoKummenberg.registers.MiscSystems.Status.GetGitHEADSHA1Vector | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ help()

def optoKummenberg.registers.MiscSystems.Status.help | ( |  | ) |
| static

## ◆ parse_error_flags()

def optoKummenberg.registers.MiscSystems.Status.parse_error_flags | ( |  | self,
|  | int | error_flag_data
| ) |  |

## ◆ ResetErrorFlagRegister()

def optoKummenberg.registers.MiscSystems.Status.ResetErrorFlagRegister | ( |  | self | ) |

## ◆ SetFirmwareSN()

def optoKummenberg.registers.MiscSystems.Status.SetFirmwareSN | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## Member Data Documentation

## ◆ _is_a_system

bool optoKummenberg.registers.MiscSystems.Status._is_a_system = False
| static protected

## ◆ error_flag_register

optoKummenberg.registers.MiscSystems.Status.error_flag_register

## ◆ firmware_id

optoKummenberg.registers.MiscSystems.Status.firmware_id

## ◆ fw_branch

optoKummenberg.registers.MiscSystems.Status.fw_branch

## ◆ fw_type

optoKummenberg.registers.MiscSystems.Status.fw_type

## ◆ fw_version_build

optoKummenberg.registers.MiscSystems.Status.fw_version_build

## ◆ fw_version_major

optoKummenberg.registers.MiscSystems.Status.fw_version_major

## ◆ fw_version_minor

optoKummenberg.registers.MiscSystems.Status.fw_version_minor

## ◆ fw_version_revision

optoKummenberg.registers.MiscSystems.Status.fw_version_revision

## ◆ name

optoKummenberg.registers.MiscSystems.Status.name

## ◆ sys_id

optoKummenberg.registers.MiscSystems.Status.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py